Bug 1933977 - clamav-freshclam.service "Standard output type syslog is obsolete"
Summary: clamav-freshclam.service "Standard output type syslog is obsolete"
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: clamav
Version: 33
Hardware: x86_64
OS: Unspecified
unspecified
low
Target Milestone: ---
Assignee: Sergio Basto
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-03-02 07:48 UTC by Fabrice A. Marie
Modified: 2021-03-23 02:15 UTC (History)
14 users (show)

Fixed In Version: clamav-0.103.1-3.fc33 clamav-0.103.1-3.fc32 clamav-0.103.1-3.fc34 clamav-0.103.1-3.el8 clamav-0.103.1-3.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-03-17 02:17:13 UTC
Type: Bug


Attachments (Terms of Use)

Description Fabrice A. Marie 2021-03-02 07:48:11 UTC
Description of problem:

systemd[1]: /usr/lib/systemd/system/clamav-freshclam.service:11: Standard output type syslog is obsolete, automatically updating to journal. Please update your unit file, and consider removing the setting altogether.


Version-Release number of selected component (if applicable):

$ rpm -qf /usr/lib/systemd/system/clamav-freshclam.service
clamav-update-0.103.1-1.fc33.x86_64

How reproducible:
Always

Steps to Reproduce:
1. dnf install -y clamav-update
2. systemctl daemon-reload
3. journalctl | grep '/usr/lib/systemd/system/clamav-freshclam.service' | grep 'update your unit file'


Actual results:
Mar 02 15:39:49 fabrice-00016 systemd[1]: /usr/lib/systemd/system/clamav-freshclam.service:11: Standard output type syslog is obsolete, automatically updating to journal. Please update your unit file, and consider removing the setting altogether.


Expected results:
No warning

Additional info:
StandardOutput=journal
instead of
StandardOutput=syslog

Comment 1 Sergio Basto 2021-03-02 10:31:44 UTC
snip , yes , did remove old_freshclam sometime ago , but they "force" me to roolback so I did one %bcond for old_freshclam , you can build the package --without old_freshclam [1], let me know your justice , can you try it ? 

[1] 
fedpkg srpm && mock -r epel-7-x86_64 --no-clean --rebuild clamav-0.103.1-1.fc35.src.rpm --without old_freshclam

Comment 2 Sergio Basto 2021-03-03 10:56:08 UTC
(In reply to Fabrice A. Marie from comment #0)

> Actual results:
> Mar 02 15:39:49 fabrice-00016 systemd[1]:
> /usr/lib/systemd/system/clamav-freshclam.service:11: Standard output type
> syslog is obsolete, automatically updating to journal. Please update your
> unit file, and consider removing the setting altogether.

> Additional info:
> StandardOutput=journal
> instead of
> StandardOutput=syslog


OK , I will try patch the clamav-freshclam.service which BTW is in source code . 

Sorry about previous commentary, I though was about el7 freshclam

Comment 3 Fedora Update System 2021-03-07 23:57:24 UTC
FEDORA-2021-b6825699a7 has been submitted as an update to Fedora 34. https://bodhi.fedoraproject.org/updates/FEDORA-2021-b6825699a7

Comment 4 Fedora Update System 2021-03-07 23:57:42 UTC
FEDORA-2021-5e3028e5a2 has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2021-5e3028e5a2

Comment 5 Fedora Update System 2021-03-07 23:57:59 UTC
FEDORA-2021-ff3c7ea14a has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2021-ff3c7ea14a

Comment 6 Fedora Update System 2021-03-07 23:58:15 UTC
FEDORA-EPEL-2021-a847c261f5 has been submitted as an update to Fedora EPEL 8. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2021-a847c261f5

Comment 7 Fedora Update System 2021-03-07 23:58:34 UTC
FEDORA-EPEL-2021-7265da6992 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2021-7265da6992

Comment 8 Fedora Update System 2021-03-08 15:59:45 UTC
FEDORA-2021-b6825699a7 has been pushed to the Fedora 34 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-b6825699a7`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-b6825699a7

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 9 Fedora Update System 2021-03-08 20:31:53 UTC
FEDORA-EPEL-2021-a847c261f5 has been pushed to the Fedora EPEL 8 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2021-a847c261f5

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 10 Fedora Update System 2021-03-08 20:42:47 UTC
FEDORA-EPEL-2021-7265da6992 has been pushed to the Fedora EPEL 7 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2021-7265da6992

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 11 Fedora Update System 2021-03-08 21:15:36 UTC
FEDORA-2021-5e3028e5a2 has been pushed to the Fedora 33 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-5e3028e5a2`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-5e3028e5a2

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 12 Fedora Update System 2021-03-08 21:27:31 UTC
FEDORA-2021-ff3c7ea14a has been pushed to the Fedora 32 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-ff3c7ea14a`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-ff3c7ea14a

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 13 Fedora Update System 2021-03-17 02:17:13 UTC
FEDORA-2021-5e3028e5a2 has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 14 Fedora Update System 2021-03-17 02:37:55 UTC
FEDORA-2021-ff3c7ea14a has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 15 Fedora Update System 2021-03-19 20:08:42 UTC
FEDORA-2021-b6825699a7 has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 16 Fedora Update System 2021-03-23 01:52:42 UTC
FEDORA-EPEL-2021-a847c261f5 has been pushed to the Fedora EPEL 8 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 17 Fedora Update System 2021-03-23 02:15:49 UTC
FEDORA-EPEL-2021-7265da6992 has been pushed to the Fedora EPEL 7 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.